# Class DF

java.lang.Object
javajs.util.DF

public class DF extends Object
created to remove ambiguities and make a simpler DecimalFormat

## Constructor Summary

Constructors
Constructor
Description
`DF()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`formatDecimal(double value, int decimalDigits)`
a simple alternative to DecimalFormat (which Java2Script does not have and which is quite too complex for our use here.)
`static String`
`formatDecimalDbl(double value, int decimalDigits)`
`static String`
`formatDecimalTrimmed(double x, int precision)`
an alternative to DecimalFormat "0.#"
`static String`
`formatDecimalTrimmed0(double x, int precision)`
an alternative to DecimalFormat "0.0"
`static void`
`setUseNumberLocalization(boolean TF)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DF

public DF()

## Method Details

### setUseNumberLocalization

public static void setUseNumberLocalization(boolean TF)

### formatDecimalDbl

public static String formatDecimalDbl(double value, int decimalDigits)

### formatDecimal

public static String formatDecimal(double value, int decimalDigits)
a simple alternative to DecimalFormat (which Java2Script does not have and which is quite too complex for our use here.)

Parameters:
  `value` -
  `decimalDigits` -
Returns:
  formatted decimal

### formatDecimalTrimmed

public static String formatDecimalTrimmed(double x, int precision)
an alternative to DecimalFormat "0.#"

Parameters:
  `x` -
  `precision` -
Returns:
  formatted number

### formatDecimalTrimmed0

public static String formatDecimalTrimmed0(double x, int precision)
an alternative to DecimalFormat "0.0"

Parameters:
  `x` -
  `precision` -
Returns:
  formatted number